#!/bin/bash

#Returns Latency of every data tunnel peer
if [ "$#" -ne 1 ]; then
    echo "Usage: /etc/zabbix_agentd.conf.d/script/latency.sh <peer_mac>"
    exit
fi
#Peer Mac address of the Device
device_mac=$1

if [ ! -z "$device_mac" ]
then
	ip=`cat /etc/zabbix_agentd.conf.d/scripts/tunnelStatus.txt | grep -w $device_mac | awk '{print $2}'`
	ping -qc1 $ip 2>&1 | awk -F'/' 'END{ print (/^round-trip/? ""$5"":"0") }'
else
	echo device_mac is empty
fi
