#!/bin/bash

#Discovers the wan interfaces mapped
uci_cmd="uci -q"
wanList=`echo { \"data\": [`
ifacesList=$($uci_cmd get ifaces_statistics.config.intf_list)
IFS=' '
read -ra arr <<< "$ifacesList"
for wanIface in "${arr[@]}";
do
        if [ "${wanIface:0:2}" != "wg" ]; then
                ifname=`$uci_cmd get ifaces_statistics.$wanIface.ifname`
                wanList=`echo $wanList "{ \"{#IF}\": \"$ifname\" },"`
        fi
done
wanList=`echo $wanList | sed '$s/,$//'`
wanList=`echo "$wanList ] }"`
echo $wanList
