#!/bin/bash

#This script checks whether the data tunnel status is online or offline
if [ "$#" -ne 1 ]; then
    echo "Usage: /etc/zabbix_agentd.conf.d/scripts/datatunnel_status.sh <peer_mac>"
    exit
fi
#Peer Mac address of the Device
device_mac=$1

if [ ! -z "$device_mac" ]
then
	ip=`cat /etc/zabbix_agentd.conf.d/scripts/tunnelStatus.txt | grep -w $device_mac | awk '{print $2}'`
	intf=`cat /etc/zabbix_agentd.conf.d/scripts/tunnelStatus.txt | grep -w $device_mac | awk '{print $4}'`
	ping -c 1 $ip -I $intf &> /dev/null && echo "Online" || echo "Offline"
else
	echo device_mac is empty
fi
