#!/bin/bash

. /lib/functions.sh "TUNNEL"

#Fetch the Caller Function name and Line number
logInfo() { echo "("${FUNCNAME[1]}":"${BASH_LINENO}")"; }

#This script is used to update datatunnel parameters in tunnelStatus.txt file
action=$1
mac=$2
tunnel_IP=$3
key=$4
tunnelID=$5
interface=$6
file=/etc/zabbix_agentd.conf.d/scripts/tunnelStatus.txt

if [ ! -f $file ]; then
    touch $file
fi

if [ "$action" == "add" ]; then
        longInfo "$(logInfo)" "Adding the Peer Device MAC-$mac Tunnel IP-$tunnel_IP"
        sed -i '/'$tunnelID'/d' $file
        sed -i '$ a '$mac' '$tunnel_IP' '$key' '$interface' '$tunnelID'' $file
fi

#Delete the entries from tunnelstatus.txt
if [ "$action" == "del" ]; then
        longInfo "$(logInfo)" "Deleting the Peer Device MAC-$mac"
        sed -i '/'$tunnelID'/d' $file
fi
