import pylxd
import time
import sys

if len(sys.argv) < 4:
    print("Usage: python onboardingZTP.py <Start Range> <No of containers> <container name>")
    sys.exit(1)

start_range = sys.argv[1]
end_range = sys.argv[2]
base_container_name = sys.argv[3]

print("Number of Container:", end_range)
print("base_container_name:", base_container_name)
print("start range:", start_range)

end_range = int(end_range) + 1

client = pylxd.Client()

#base_container_name = "cr"

for i in range(int(start_range), int(end_range)):
    container_name = f"{base_container_name}{i}"
    print("ZTP Started:", container_name)
    container = client.containers.get(container_name)
    #command_to_execute = '/opt/inseego/bin/ztpCurl.sh https qa.inseego5g.net:7001 1'
    command_to_execute = '/opt/inseego/bin/ztpCurl.sh http 52.89.122.67:7001 1'
    response = container.execute(['bash', '-c', command_to_execute])
    print(response)
    
print("All devices onboarding ZTP")
