#!/bin/bash

#Discovers the ethernet interface mapped to lan network
list=`echo { \"data\": [`
zone=`uci show firewall | grep "firewall.*=zone" | cut -d. -f2 | cut -d= -f1 | xargs`
IFS=' '
read -ra arr <<< "$zone"
for section in "${arr[@]}";
do
        name=`uci -q get firewall.$section.name`
        if [[ "$name" != "wan"* ]]; then
                 network=`uci -q get firewall.$section.network | xargs -n1 | sort -u | xargs`
                 if [ ! -z "$network" ]; then
                        IFS=' '
                        read -ra array <<< "$network"
                        for ifname in "${array[@]}";
                        do
                                interface=`uci -q get network.$ifname.ifname`
                                read -ra iface <<< "$interface"
                                for intf in "${iface[@]}";
                                do
                                        if [[ $intf == "eth"* && ${#intf} = 4 ]]; then
                                                list=`echo $list "{ \"{#IF}\": \"$intf\" },"`
                                        fi
                                done
                        done
                fi
        fi
done
list=`echo $list | sed '$s/,$//'`
list=`echo "$list ] }"`
echo $list
