#!/bin/bash

#Returns the link up/down status of interfaces
if [ "$#" -ne 1 ]; then
    echo "Usage: /etc/zabbix_agentd.conf.d/scripts/link_status.sh <interface_name>"
    exit
fi
#Name of interfaces in the device
interface_name=$1

if [ ! -z "$interface_name" ]
then
	status=`cat /sys/class/net/$interface_name/carrier 2>&1`
	if [ "$status" == "1" ]
	then
		echo "1"
	else
		echo "0"
	fi
else
	echo interface_name is empty
fi
