import pylxd
import time
import sys

if len(sys.argv) < 4:
    print("Usage: python stop_delete.py <Start Range> <No of containers> <container name>")
    sys.exit(1)

start_range = sys.argv[1]
end_range = sys.argv[2]
base_container_name = sys.argv[3]

print("Number of Container:", end_range)
print("base_container_name:", base_container_name)
print("start range:", start_range)

client = pylxd.Client()
#base_container_name = "cr"

end_range = int(end_range) + 1

for i in range(int(start_range), int(end_range)):
    container_name = f"{base_container_name}{i}"
    
    print("Deleted:",container_name)
    
    container = client.containers.get(container_name)
    container.stop()
    container.delete()

print("All containers are deleted")
